#
# Conditional build:
%bcond_with	tests		# build with tests

Summary:	Helper programs for debian/rules
Summary(pl.UTF-8):	Programy pomocnicze dla debian/rules
Name:		debhelper
Version:	9.20160814
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	ftp://ftp.debian.org/debian/pool/main/d/debhelper/%{name}_%{version}.tar.xz
# Source0-md5:	2e6a77d0f969d2421260f3f75a2cf1ff
URL:		http://joeyh.name/code/debhelper/
BuildRequires:	dpkg
BuildRequires:	fakeroot
# uses man-db specific --recode option in dh_installman
BuildRequires:	man-db
BuildRequires:	perl-tools-pod
BuildRequires:	po4a
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A collection of programs that can be used in a debian/rules file to
automate common tasks related to building Debian packages. Programs
are included to install various files into your package, compress
files, fix file permissions, integrate your package with the Debian
menu system, debconf, doc-base, etc.

Most Debian packages use debhelper as part of their build process.

%description -l pl.UTF-8
Zestaw programów, których można używać w pliku debian/rules do
automatyzacji często wykonywanych zadań związanych z budowaniem
pakietów Debiana. Zawiera programy do instalowania różnych plików
pakietu, kompresji plików, poprawiania uprawnień plików, integracji
pakietu z systemem menu Debiana, debconfem, doc-base itp.

%prep
%setup -qc
mv %{name}/* .

%build
%{!?with_tests:DEB_BUILD_OPTIONS=nocheck} \
fakeroot debian/rules binary
mv debian/debhelper%{_docdir}/debhelper doc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT
cp -a debian/debhelper/* $RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT/DEBIAN

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/dh
%attr(755,root,root) %{_bindir}/dh_*
%{_datadir}/%{name}

%dir %{perl_vendorlib}/Debian
%dir %{perl_vendorlib}/Debian/Debhelper
%{perl_vendorlib}/Debian/Debhelper/Dh_Buildsystems.pm
%{perl_vendorlib}/Debian/Debhelper/Dh_Getopt.pm
%{perl_vendorlib}/Debian/Debhelper/Dh_Lib.pm
%{perl_vendorlib}/Debian/Debhelper/Dh_Version.pm
%{perl_vendorlib}/Debian/Debhelper/Sequence
%{perl_vendorlib}/Debian/Debhelper/Buildsystem
%{perl_vendorlib}/Debian/Debhelper/Buildsystem.pm

%{_mandir}/man1/dh.1*
%{_mandir}/man1/dh_*.1*
%lang(de) %{_mandir}/de/man1/dh.1*
%lang(de) %{_mandir}/de/man1/dh_*.1*
%lang(es) %{_mandir}/es/man1/dh.1*
%lang(es) %{_mandir}/es/man1/dh_*.1*
%lang(fr) %{_mandir}/fr/man1/dh.1*
%lang(fr) %{_mandir}/fr/man1/dh_*.1*
%lang(pt) %{_mandir}/pt/man1/dh.1*
%lang(pt) %{_mandir}/pt/man1/dh_*.1*
%{_mandir}/man7/debhelper.7*
%lang(de) %{_mandir}/de/man7/debhelper.7*
%lang(fr) %{_mandir}/fr/man7/debhelper.7*
%lang(pt) %{_mandir}/pt/man7/debhelper.7*
%changelog
* Sun Aug 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/debhelper.git;a=log;h=master

* Sun Aug 28 2016 Jakub Bogusz <qboosh@pld-linux.org> cf1d974
- updated to 9.20160814

* Wed Jul 15 2015 Elan Ruusamäe <glen@delfi.ee> f00a18c
- up to 9.20150628

* Thu May 07 2015 Jakub Bogusz <qboosh@pld-linux.org> d159e4c
- updated to 9.20150502

* Thu May 07 2015 Jakub Bogusz <qboosh@pld-linux.org> b1286bc
- really added pt manuals

* Tue May 05 2015 Elan Ruusamäe <glen@delfi.ee> ae3f120
- up to 9.20150101; added pt manuals

* Sun Jun 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 02445af
- updated to 9.20140613

* Mon Mar 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 977d703
- up to 9.20140228

* Sat Feb 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 9dec644
- up to 9.20131227

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 34ac5a6
- updated to 9.20131110
- removed obsolete pod patch

* Sun Sep 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 6f2f955
- updated to 9.20130720
- added pod patch (fix French man pages build)
- don't package changelog and examples twice

* Tue Aug 30 2011 Elan Ruusamäe <glen@pld-linux.org> a0da0f0
- up to 8.9.6

* Wed Jan 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 195bf4f
- pl

* Tue Dec 11 2007 Elan Ruusamäe <glen@pld-linux.org> fe90d53
- new

